org.eclipse.eef

## Interface EefPackage.Literals

Enclosing interface:
  EefPackage

    public static interface EefPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

### Field Summary

Fields
`static org.eclipse.emf.ecore.EClass` `EEF_BUTTON_CONDITIONAL_STYLE` The meta object literal for the '`EEF Button Conditional Style`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_BUTTON_CONDITIONAL_STYLE__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_BUTTON_DESCRIPTION` The meta object literal for the '`EEF Button Description`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_BUTTON_DESCRIPTION__BUTTON_LABEL_EXPRESSION` The meta object literal for the 'Button Label Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_BUTTON_DESCRIPTION__CONDITIONAL_STYLES` The meta object literal for the 'Conditional Styles' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_BUTTON_DESCRIPTION__IMAGE_EXPRESSION` The meta object literal for the 'Image Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_BUTTON_DESCRIPTION__PUSH_EXPRESSION` The meta object literal for the 'Push Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_BUTTON_DESCRIPTION__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_BUTTON_STYLE` The meta object literal for the '`EEF Button Style`' class.
`static org.eclipse.emf.ecore.EClass` `EEF_CHECKBOX_CONDITIONAL_STYLE` The meta object literal for the '`EEF Checkbox Conditional Style`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_CHECKBOX_CONDITIONAL_STYLE__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_CHECKBOX_DESCRIPTION` The meta object literal for the '`EEF Checkbox Description`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_CHECKBOX_DESCRIPTION__CONDITIONAL_STYLES` The meta object literal for the 'Conditional Styles' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_CHECKBOX_DESCRIPTION__EDIT_EXPRESSION` The meta object literal for the 'Edit Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_CHECKBOX_DESCRIPTION__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_CHECKBOX_DESCRIPTION__VALUE_EXPRESSION` The meta object literal for the 'Value Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_CHECKBOX_STYLE` The meta object literal for the '`EEF Checkbox Style` ' class.
`static org.eclipse.emf.ecore.EClass` `EEF_CONDITIONAL_STYLE` The meta object literal for the '`EEF Conditional Style`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION` The meta object literal for the 'Precondition Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_CONTAINER_DESCRIPTION` The meta object literal for the '`EEF Container Description`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_CONTAINER_DESCRIPTION__CONTROLS` The meta object literal for the 'Controls' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `EEF_CONTAINER_DESCRIPTION__LAYOUT` The meta object literal for the 'Layout' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_CONTROL_DESCRIPTION` The meta object literal for the '`EEF Control Description`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_CONTROL_DESCRIPTION__IDENTIFIER` The meta object literal for the 'Identifier' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_CUSTOM_EXPRESSION` The meta object literal for the '`EEF Custom Expression`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_CUSTOM_EXPRESSION__CUSTOM_EXPRESSION` The meta object literal for the 'Custom Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_CUSTOM_EXPRESSION__IDENTIFIER` The meta object literal for the 'Identifier' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE` The meta object literal for the '`EEF Custom Widget Conditional Style`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_CUSTOM_WIDGET_DESCRIPTION` The meta object literal for the '`EEF Custom Widget Description`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_CUSTOM_WIDGET_DESCRIPTION__CONDITIONAL_STYLES` The meta object literal for the 'Conditional Styles' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `EEF_CUSTOM_WIDGET_DESCRIPTION__CUSTOM_EXPRESSIONS` The meta object literal for the 'Custom Expressions' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `EEF_CUSTOM_WIDGET_DESCRIPTION__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_CUSTOM_WIDGET_STYLE` The meta object literal for the '`EEF Custom Widget Style`' class.
`static org.eclipse.emf.ecore.EClass` `EEF_DYNAMIC_MAPPING_FOR` The meta object literal for the '`EEF Dynamic Mapping For`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_DYNAMIC_MAPPING_FOR__FORCE_REFRESH` The meta object literal for the 'Force Refresh' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_DYNAMIC_MAPPING_FOR__IFS` The meta object literal for the 'Ifs' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_DYNAMIC_MAPPING_FOR__ITERABLE_EXPRESSION` The meta object literal for the 'Iterable Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_DYNAMIC_MAPPING_FOR__ITERATOR` The meta object literal for the 'Iterator' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_DYNAMIC_MAPPING_IF` The meta object literal for the '`EEF Dynamic Mapping If`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_DYNAMIC_MAPPING_IF__PREDICATE_EXPRESSION` The meta object literal for the 'Predicate Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_DYNAMIC_MAPPING_IF__WIDGET` The meta object literal for the 'Widget' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_FILL_LAYOUT_DESCRIPTION` The meta object literal for the '`EEF Fill Layout Description`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_FILL_LAYOUT_DESCRIPTION__ORIENTATION` The meta object literal for the 'Orientation' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `EEF_FILL_LAYOUT_ORIENTATION` The meta object literal for the '`EEF FILL LAYOUT ORIENTATION`' enum.
`static org.eclipse.emf.ecore.EClass` `EEF_GRID_LAYOUT_DESCRIPTION` The meta object literal for the '`EEF Grid Layout Description`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GRID_LAYOUT_DESCRIPTION__MAKE_COLUMNS_WITH_EQUAL_WIDTH` The meta object literal for the 'Make Columns With Equal Width' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GRID_LAYOUT_DESCRIPTION__NUMBER_OF_COLUMNS` The meta object literal for the 'Number Of Columns' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_GROUP_CONDITIONAL_STYLE` The meta object literal for the '`EEF Group Conditional Style`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_GROUP_CONDITIONAL_STYLE__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_GROUP_DESCRIPTION` The meta object literal for the '`EEF Group Description`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_GROUP_DESCRIPTION__ACTIONS` The meta object literal for the 'Actions' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `EEF_GROUP_DESCRIPTION__CONDITIONAL_STYLES` The meta object literal for the 'Conditional Styles' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `EEF_GROUP_DESCRIPTION__CONTROLS` The meta object literal for the 'Controls' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GROUP_DESCRIPTION__DOMAIN_CLASS` The meta object literal for the 'Domain Class' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GROUP_DESCRIPTION__IDENTIFIER` The meta object literal for the 'Identifier' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GROUP_DESCRIPTION__LABEL_EXPRESSION` The meta object literal for the 'Label Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GROUP_DESCRIPTION__PRECONDITION_EXPRESSION` The meta object literal for the 'Precondition Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_GROUP_DESCRIPTION__PROPERTY_VALIDATION_RULES` The meta object literal for the 'Property Validation Rules' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GROUP_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION` The meta object literal for the 'Semantic Candidate Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_GROUP_DESCRIPTION__SEMANTIC_VALIDATION_RULES` The meta object literal for the 'Semantic Validation Rules' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `EEF_GROUP_DESCRIPTION__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_GROUP_STYLE` The meta object literal for the '`EEF Group Style`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GROUP_STYLE__BACKGROUND_COLOR_EXPRESSION` The meta object literal for the 'Background Color Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GROUP_STYLE__BAR_STYLE` The meta object literal for the 'Bar Style' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GROUP_STYLE__EXPANDED_BY_DEFAULT` The meta object literal for the 'Expanded By Default' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GROUP_STYLE__FONT_NAME_EXPRESSION` The meta object literal for the 'Font Name Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GROUP_STYLE__FONT_SIZE_EXPRESSION` The meta object literal for the 'Font Size Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GROUP_STYLE__FOREGROUND_COLOR_EXPRESSION` The meta object literal for the 'Foreground Color Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_GROUP_STYLE__TOGGLE_STYLE` The meta object literal for the 'Toggle Style' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_HYPERLINK_CONDITIONAL_STYLE` The meta object literal for the '`EEF Hyperlink Conditional Style`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_HYPERLINK_CONDITIONAL_STYLE__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_HYPERLINK_DESCRIPTION` The meta object literal for the '`EEF Hyperlink Description`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_HYPERLINK_DESCRIPTION__ACTIONS` The meta object literal for the 'Actions' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `EEF_HYPERLINK_DESCRIPTION__CONDITIONAL_STYLES` The meta object literal for the 'Conditional Styles' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_HYPERLINK_DESCRIPTION__DISPLAY_EXPRESSION` The meta object literal for the 'Display Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_HYPERLINK_DESCRIPTION__ON_CLICK_EXPRESSION` The meta object literal for the 'On Click Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_HYPERLINK_DESCRIPTION__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_HYPERLINK_DESCRIPTION__VALUE_EXPRESSION` The meta object literal for the 'Value Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_HYPERLINK_STYLE` The meta object literal for the '`EEF Hyperlink Style`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_HYPERLINK_STYLE__BACKGROUND_COLOR_EXPRESSION` The meta object literal for the 'Background Color Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_HYPERLINK_STYLE__FONT_NAME_EXPRESSION` The meta object literal for the 'Font Name Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_HYPERLINK_STYLE__FONT_SIZE_EXPRESSION` The meta object literal for the 'Font Size Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_HYPERLINK_STYLE__FONT_STYLE_EXPRESSION` The meta object literal for the 'Font Style Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_LABEL_CONDITIONAL_STYLE` The meta object literal for the '`EEF Label Conditional Style`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_LABEL_CONDITIONAL_STYLE__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_LABEL_DESCRIPTION` The meta object literal for the '`EEF Label Description`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_LABEL_DESCRIPTION__ACTIONS` The meta object literal for the 'Actions' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `EEF_LABEL_DESCRIPTION__CONDITIONAL_STYLES` The meta object literal for the 'Conditional Styles' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_LABEL_DESCRIPTION__DISPLAY_EXPRESSION` The meta object literal for the 'Display Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_LABEL_DESCRIPTION__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_LABEL_DESCRIPTION__VALUE_EXPRESSION` The meta object literal for the 'Value Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_LABEL_STYLE` The meta object literal for the '`EEF Label Style`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_LABEL_STYLE__BACKGROUND_COLOR_EXPRESSION` The meta object literal for the 'Background Color Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_LABEL_STYLE__FONT_NAME_EXPRESSION` The meta object literal for the 'Font Name Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_LABEL_STYLE__FONT_SIZE_EXPRESSION` The meta object literal for the 'Font Size Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_LABEL_STYLE__FONT_STYLE_EXPRESSION` The meta object literal for the 'Font Style Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_LABEL_STYLE__FOREGROUND_COLOR_EXPRESSION` The meta object literal for the 'Foreground Color Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_LAYOUT_DESCRIPTION` The meta object literal for the '`EEF Layout Description`' class.
`static org.eclipse.emf.ecore.EClass` `EEF_LIST_CONDITIONAL_STYLE` The meta object literal for the '`EEF List Conditional Style`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_LIST_CONDITIONAL_STYLE__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_LIST_DESCRIPTION` The meta object literal for the '`EEF List Description`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_LIST_DESCRIPTION__ACTIONS` The meta object literal for the 'Actions' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `EEF_LIST_DESCRIPTION__CONDITIONAL_STYLES` The meta object literal for the 'Conditional Styles' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_LIST_DESCRIPTION__DISPLAY_EXPRESSION` The meta object literal for the 'Display Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_LIST_DESCRIPTION__ON_CLICK_EXPRESSION` The meta object literal for the 'On Click Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_LIST_DESCRIPTION__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_LIST_DESCRIPTION__VALUE_EXPRESSION` The meta object literal for the 'Value Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_LIST_STYLE` The meta object literal for the '`EEF List Style`' class.
`static org.eclipse.emf.ecore.EClass` `EEF_PAGE_DESCRIPTION` The meta object literal for the '`EEF Page Description`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_PAGE_DESCRIPTION__ACTIONS` The meta object literal for the 'Actions' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_PAGE_DESCRIPTION__DOMAIN_CLASS` The meta object literal for the 'Domain Class' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_PAGE_DESCRIPTION__GROUPS` The meta object literal for the 'Groups' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_PAGE_DESCRIPTION__IDENTIFIER` The meta object literal for the 'Identifier' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_PAGE_DESCRIPTION__INDENTED` The meta object literal for the 'Indented' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_PAGE_DESCRIPTION__LABEL_EXPRESSION` The meta object literal for the 'Label Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_PAGE_DESCRIPTION__PRECONDITION_EXPRESSION` The meta object literal for the 'Precondition Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_PAGE_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION` The meta object literal for the 'Semantic Candidate Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_PAGE_DESCRIPTION__SEMANTIC_VALIDATION_RULES` The meta object literal for the 'Semantic Validation Rules' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION` The meta object literal for the '`EEF Property Validation Rule Description`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__TARGETS` The meta object literal for the 'Targets' reference list feature.
`static org.eclipse.emf.ecore.EClass` `EEF_RADIO_CONDITIONAL_STYLE` The meta object literal for the '`EEF Radio Conditional Style`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_RADIO_CONDITIONAL_STYLE__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_RADIO_DESCRIPTION` The meta object literal for the '`EEF Radio Description`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_RADIO_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION` The meta object literal for the 'Candidate Display Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_RADIO_DESCRIPTION__CANDIDATES_EXPRESSION` The meta object literal for the 'Candidates Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_RADIO_DESCRIPTION__CONDITIONAL_STYLES` The meta object literal for the 'Conditional Styles' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_RADIO_DESCRIPTION__EDIT_EXPRESSION` The meta object literal for the 'Edit Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_RADIO_DESCRIPTION__NUMBER_OF_COLUMNS` The meta object literal for the 'Number Of Columns' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_RADIO_DESCRIPTION__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_RADIO_DESCRIPTION__VALUE_EXPRESSION` The meta object literal for the 'Value Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_RADIO_STYLE` The meta object literal for the '`EEF Radio Style`' class.
`static org.eclipse.emf.ecore.EClass` `EEF_RULE_AUDIT_DESCRIPTION` The meta object literal for the '`EEF Rule Audit Description`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_RULE_AUDIT_DESCRIPTION__AUDIT_EXPRESSION` The meta object literal for the 'Audit Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_SELECT_CONDITIONAL_STYLE` The meta object literal for the '`EEF Select Conditional Style`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_SELECT_CONDITIONAL_STYLE__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_SELECT_DESCRIPTION` The meta object literal for the '`EEF Select Description`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_SELECT_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION` The meta object literal for the 'Candidate Display Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_SELECT_DESCRIPTION__CANDIDATES_EXPRESSION` The meta object literal for the 'Candidates Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_SELECT_DESCRIPTION__CONDITIONAL_STYLES` The meta object literal for the 'Conditional Styles' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_SELECT_DESCRIPTION__EDIT_EXPRESSION` The meta object literal for the 'Edit Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_SELECT_DESCRIPTION__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_SELECT_DESCRIPTION__VALUE_EXPRESSION` The meta object literal for the 'Value Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_SELECT_STYLE` The meta object literal for the '`EEF Select Style`' class.
`static org.eclipse.emf.ecore.EClass` `EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION` The meta object literal for the '`EEF Semantic Validation Rule Description`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__TARGET_CLASS` The meta object literal for the 'Target Class' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_TEXT_CONDITIONAL_STYLE` The meta object literal for the '`EEF Text Conditional Style`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_TEXT_CONDITIONAL_STYLE__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `EEF_TEXT_DESCRIPTION` The meta object literal for the '`EEF Text Description`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_TEXT_DESCRIPTION__CONDITIONAL_STYLES` The meta object literal for the 'Conditional Styles' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_TEXT_DESCRIPTION__EDIT_EXPRESSION` The meta object literal for the 'Edit Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_TEXT_DESCRIPTION__LINE_COUNT` The meta object literal for the 'Line Count' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_TEXT_DESCRIPTION__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_TEXT_DESCRIPTION__VALUE_EXPRESSION` The meta object literal for the 'Value Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_TEXT_STYLE` The meta object literal for the '`EEF Text Style`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_TEXT_STYLE__BACKGROUND_COLOR_EXPRESSION` The meta object literal for the 'Background Color Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_TEXT_STYLE__FONT_NAME_EXPRESSION` The meta object literal for the 'Font Name Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_TEXT_STYLE__FONT_SIZE_EXPRESSION` The meta object literal for the 'Font Size Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_TEXT_STYLE__FONT_STYLE_EXPRESSION` The meta object literal for the 'Font Style Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_TEXT_STYLE__FOREGROUND_COLOR_EXPRESSION` The meta object literal for the 'Foreground Color Expression' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `EEF_TITLE_BAR_STYLE` The meta object literal for the '`EEF TITLE BAR STYLE`' enum.
`static org.eclipse.emf.ecore.EEnum` `EEF_TOGGLE_STYLE` The meta object literal for the '`EEF TOGGLE STYLE`' enum.
`static org.eclipse.emf.ecore.EClass` `EEF_TOOLBAR_ACTION` The meta object literal for the '`EEF Toolbar Action` ' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_TOOLBAR_ACTION__ACTION_EXPRESSION` The meta object literal for the 'Action Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_TOOLBAR_ACTION__IMAGE_EXPRESSION` The meta object literal for the 'Image Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_TOOLBAR_ACTION__TOOLTIP_EXPRESSION` The meta object literal for the 'Tooltip Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_VALIDATION_FIX_DESCRIPTION` The meta object literal for the '`EEF Validation Fix Description`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_VALIDATION_FIX_DESCRIPTION__FIX_EXPRESSION` The meta object literal for the 'Fix Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_VALIDATION_FIX_DESCRIPTION__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_VALIDATION_RULE_DESCRIPTION` The meta object literal for the '`EEF Validation Rule Description`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_VALIDATION_RULE_DESCRIPTION__AUDITS` The meta object literal for the 'Audits' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `EEF_VALIDATION_RULE_DESCRIPTION__FIXES` The meta object literal for the 'Fixes' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION` The meta object literal for the 'Message Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_VALIDATION_RULE_DESCRIPTION__SEVERITY` The meta object literal for the 'Severity' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `EEF_VALIDATION_SEVERITY_DESCRIPTION` The meta object literal for the '`EEF VALIDATION SEVERITY DESCRIPTION`' enum.
`static org.eclipse.emf.ecore.EClass` `EEF_VIEW_DESCRIPTION` The meta object literal for the '`EEF View Description`' class.
`static org.eclipse.emf.ecore.EReference` `EEF_VIEW_DESCRIPTION__EPACKAGES` The meta object literal for the 'EPackages' reference list feature.
`static org.eclipse.emf.ecore.EReference` `EEF_VIEW_DESCRIPTION__GROUPS` The meta object literal for the 'Groups' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_VIEW_DESCRIPTION__IDENTIFIER` The meta object literal for the 'Identifier' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_VIEW_DESCRIPTION__IMAGE_EXPRESSION` The meta object literal for the 'Image Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_VIEW_DESCRIPTION__LABEL_EXPRESSION` The meta object literal for the 'Label Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_VIEW_DESCRIPTION__PAGES` The meta object literal for the 'Pages' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `EEF_WIDGET_ACTION` The meta object literal for the '`EEF Widget Action`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_WIDGET_ACTION__ACTION_EXPRESSION` The meta object literal for the 'Action Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_WIDGET_ACTION__IMAGE_EXPRESSION` The meta object literal for the 'Image Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_WIDGET_ACTION__LABEL_EXPRESSION` The meta object literal for the 'Label Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EEF_WIDGET_DESCRIPTION` The meta object literal for the '`EEF Widget Description`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_WIDGET_DESCRIPTION__HELP_EXPRESSION` The meta object literal for the 'Help Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_WIDGET_DESCRIPTION__IS_ENABLED_EXPRESSION` The meta object literal for the 'Is Enabled Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_WIDGET_DESCRIPTION__LABEL_EXPRESSION` The meta object literal for the 'Label Expression' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EEF_WIDGET_DESCRIPTION__PROPERTY_VALIDATION_RULES` The meta object literal for the 'Property Validation Rules' reference list feature.
`static org.eclipse.emf.ecore.EClass` `EEF_WIDGET_STYLE` The meta object literal for the '`EEF Widget Style`' class.
`static org.eclipse.emf.ecore.EAttribute` `EEF_WIDGET_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION` The meta object literal for the 'Label Background Color Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_WIDGET_STYLE__LABEL_FONT_NAME_EXPRESSION` The meta object literal for the 'Label Font Name Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_WIDGET_STYLE__LABEL_FONT_SIZE_EXPRESSION` The meta object literal for the 'Label Font Size Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_WIDGET_STYLE__LABEL_FONT_STYLE_EXPRESSION` The meta object literal for the 'Label Font Style Expression' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EEF_WIDGET_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION` The meta object literal for the 'Label Foreground Color Expression' attribute feature.

### Field Detail

#### EEF_VIEW_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_VIEW_DESCRIPTION

The meta object literal for the '`EEF View Description`' class.

See Also:
  `EEFViewDescriptionImpl`, `EefPackageImpl.getEEFViewDescription()`

#### EEF_VIEW_DESCRIPTION__IDENTIFIER

    static final org.eclipse.emf.ecore.EAttribute EEF_VIEW_DESCRIPTION__IDENTIFIER

The meta object literal for the 'Identifier' attribute feature.

#### EEF_VIEW_DESCRIPTION__LABEL_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_VIEW_DESCRIPTION__LABEL_EXPRESSION

The meta object literal for the 'Label Expression' attribute feature.

#### EEF_VIEW_DESCRIPTION__IMAGE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_VIEW_DESCRIPTION__IMAGE_EXPRESSION

The meta object literal for the 'Image Expression' attribute feature.

#### EEF_VIEW_DESCRIPTION__GROUPS

    static final org.eclipse.emf.ecore.EReference EEF_VIEW_DESCRIPTION__GROUPS

The meta object literal for the 'Groups' containment reference list feature.

#### EEF_VIEW_DESCRIPTION__PAGES

    static final org.eclipse.emf.ecore.EReference EEF_VIEW_DESCRIPTION__PAGES

The meta object literal for the 'Pages' containment reference list feature.

#### EEF_VIEW_DESCRIPTION__EPACKAGES

    static final org.eclipse.emf.ecore.EReference EEF_VIEW_DESCRIPTION__EPACKAGES

The meta object literal for the 'EPackages' reference list feature.

#### EEF_PAGE_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_PAGE_DESCRIPTION

The meta object literal for the '`EEF Page Description`' class.

See Also:
  `EEFPageDescriptionImpl`, `EefPackageImpl.getEEFPageDescription()`

#### EEF_PAGE_DESCRIPTION__IDENTIFIER

    static final org.eclipse.emf.ecore.EAttribute EEF_PAGE_DESCRIPTION__IDENTIFIER

The meta object literal for the 'Identifier' attribute feature.

#### EEF_PAGE_DESCRIPTION__LABEL_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_PAGE_DESCRIPTION__LABEL_EXPRESSION

The meta object literal for the 'Label Expression' attribute feature.

#### EEF_PAGE_DESCRIPTION__DOMAIN_CLASS

    static final org.eclipse.emf.ecore.EAttribute EEF_PAGE_DESCRIPTION__DOMAIN_CLASS

The meta object literal for the 'Domain Class' attribute feature.

#### EEF_PAGE_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_PAGE_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION

The meta object literal for the 'Semantic Candidate Expression' attribute feature.

#### EEF_PAGE_DESCRIPTION__PRECONDITION_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_PAGE_DESCRIPTION__PRECONDITION_EXPRESSION

The meta object literal for the 'Precondition Expression' attribute feature.

#### EEF_PAGE_DESCRIPTION__GROUPS

    static final org.eclipse.emf.ecore.EReference EEF_PAGE_DESCRIPTION__GROUPS

The meta object literal for the 'Groups' reference list feature.

#### EEF_PAGE_DESCRIPTION__SEMANTIC_VALIDATION_RULES

    static final org.eclipse.emf.ecore.EReference EEF_PAGE_DESCRIPTION__SEMANTIC_VALIDATION_RULES

The meta object literal for the 'Semantic Validation Rules' containment reference list feature.

#### EEF_PAGE_DESCRIPTION__INDENTED

    static final org.eclipse.emf.ecore.EAttribute EEF_PAGE_DESCRIPTION__INDENTED

The meta object literal for the 'Indented' attribute feature.

#### EEF_PAGE_DESCRIPTION__ACTIONS

    static final org.eclipse.emf.ecore.EReference EEF_PAGE_DESCRIPTION__ACTIONS

The meta object literal for the 'Actions' containment reference list feature.

#### EEF_VALIDATION_RULE_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_VALIDATION_RULE_DESCRIPTION

The meta object literal for the '`EEF Validation Rule Description`' class.

See Also:
  `EEFValidationRuleDescriptionImpl`, `EefPackageImpl.getEEFValidationRuleDescription()`

#### EEF_VALIDATION_RULE_DESCRIPTION__SEVERITY

    static final org.eclipse.emf.ecore.EAttribute EEF_VALIDATION_RULE_DESCRIPTION__SEVERITY

The meta object literal for the 'Severity' attribute feature.

#### EEF_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION

The meta object literal for the 'Message Expression' attribute feature.

#### EEF_VALIDATION_RULE_DESCRIPTION__AUDITS

    static final org.eclipse.emf.ecore.EReference EEF_VALIDATION_RULE_DESCRIPTION__AUDITS

The meta object literal for the 'Audits' containment reference list feature.

#### EEF_VALIDATION_RULE_DESCRIPTION__FIXES

    static final org.eclipse.emf.ecore.EReference EEF_VALIDATION_RULE_DESCRIPTION__FIXES

The meta object literal for the 'Fixes' containment reference list feature.

#### EEF_RULE_AUDIT_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_RULE_AUDIT_DESCRIPTION

The meta object literal for the '`EEF Rule Audit Description`' class.

See Also:
  `EEFRuleAuditDescriptionImpl`, `EefPackageImpl.getEEFRuleAuditDescription()`

#### EEF_RULE_AUDIT_DESCRIPTION__AUDIT_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_RULE_AUDIT_DESCRIPTION__AUDIT_EXPRESSION

The meta object literal for the 'Audit Expression' attribute feature.

#### EEF_VALIDATION_FIX_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_VALIDATION_FIX_DESCRIPTION

The meta object literal for the '`EEF Validation Fix Description`' class.

See Also:
  `EEFValidationFixDescriptionImpl`, `EefPackageImpl.getEEFValidationFixDescription()`

#### EEF_VALIDATION_FIX_DESCRIPTION__NAME

    static final org.eclipse.emf.ecore.EAttribute EEF_VALIDATION_FIX_DESCRIPTION__NAME

The meta object literal for the 'Name' attribute feature.

#### EEF_VALIDATION_FIX_DESCRIPTION__FIX_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_VALIDATION_FIX_DESCRIPTION__FIX_EXPRESSION

The meta object literal for the 'Fix Expression' attribute feature.

#### EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION

The meta object literal for the '`EEF Property Validation Rule Description`' class.

See Also:
  `EEFPropertyValidationRuleDescriptionImpl`, `EefPackageImpl.getEEFPropertyValidationRuleDescription()`

#### EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__TARGETS

    static final org.eclipse.emf.ecore.EReference EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__TARGETS

The meta object literal for the 'Targets' reference list feature.

#### EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION

The meta object literal for the '`EEF Semantic Validation Rule Description`' class.

See Also:
  `EEFSemanticValidationRuleDescriptionImpl`, `EefPackageImpl.getEEFSemanticValidationRuleDescription()`

#### EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__TARGET_CLASS

    static final org.eclipse.emf.ecore.EAttribute EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__TARGET_CLASS

The meta object literal for the 'Target Class' attribute feature.

#### EEF_GROUP_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_GROUP_DESCRIPTION

The meta object literal for the '`EEF Group Description`' class.

See Also:
  `EEFGroupDescriptionImpl`, `EefPackageImpl.getEEFGroupDescription()`

#### EEF_GROUP_DESCRIPTION__IDENTIFIER

    static final org.eclipse.emf.ecore.EAttribute EEF_GROUP_DESCRIPTION__IDENTIFIER

The meta object literal for the 'Identifier' attribute feature.

#### EEF_GROUP_DESCRIPTION__LABEL_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_GROUP_DESCRIPTION__LABEL_EXPRESSION

The meta object literal for the 'Label Expression' attribute feature.

#### EEF_GROUP_DESCRIPTION__DOMAIN_CLASS

    static final org.eclipse.emf.ecore.EAttribute EEF_GROUP_DESCRIPTION__DOMAIN_CLASS

The meta object literal for the 'Domain Class' attribute feature.

#### EEF_GROUP_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_GROUP_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION

The meta object literal for the 'Semantic Candidate Expression' attribute feature.

#### EEF_GROUP_DESCRIPTION__PRECONDITION_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_GROUP_DESCRIPTION__PRECONDITION_EXPRESSION

The meta object literal for the 'Precondition Expression' attribute feature.

#### EEF_GROUP_DESCRIPTION__CONTROLS

    static final org.eclipse.emf.ecore.EReference EEF_GROUP_DESCRIPTION__CONTROLS

The meta object literal for the 'Controls' containment reference list feature.

#### EEF_GROUP_DESCRIPTION__SEMANTIC_VALIDATION_RULES

    static final org.eclipse.emf.ecore.EReference EEF_GROUP_DESCRIPTION__SEMANTIC_VALIDATION_RULES

The meta object literal for the 'Semantic Validation Rules' containment reference list feature.

#### EEF_GROUP_DESCRIPTION__PROPERTY_VALIDATION_RULES

    static final org.eclipse.emf.ecore.EReference EEF_GROUP_DESCRIPTION__PROPERTY_VALIDATION_RULES

The meta object literal for the 'Property Validation Rules' containment reference list feature.

#### EEF_GROUP_DESCRIPTION__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_GROUP_DESCRIPTION__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_GROUP_DESCRIPTION__CONDITIONAL_STYLES

    static final org.eclipse.emf.ecore.EReference EEF_GROUP_DESCRIPTION__CONDITIONAL_STYLES

The meta object literal for the 'Conditional Styles' containment reference list feature.

#### EEF_GROUP_DESCRIPTION__ACTIONS

    static final org.eclipse.emf.ecore.EReference EEF_GROUP_DESCRIPTION__ACTIONS

The meta object literal for the 'Actions' containment reference list feature.

#### EEF_TOOLBAR_ACTION

    static final org.eclipse.emf.ecore.EClass EEF_TOOLBAR_ACTION

The meta object literal for the '`EEF Toolbar Action` ' class.

See Also:
  `EEFToolbarActionImpl`, `EefPackageImpl.getEEFToolbarAction()`

#### EEF_TOOLBAR_ACTION__TOOLTIP_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_TOOLBAR_ACTION__TOOLTIP_EXPRESSION

The meta object literal for the 'Tooltip Expression' attribute feature.

#### EEF_TOOLBAR_ACTION__IMAGE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_TOOLBAR_ACTION__IMAGE_EXPRESSION

The meta object literal for the 'Image Expression' attribute feature.

#### EEF_TOOLBAR_ACTION__ACTION_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_TOOLBAR_ACTION__ACTION_EXPRESSION

The meta object literal for the 'Action Expression' attribute feature.

#### EEF_CONTROL_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_CONTROL_DESCRIPTION

The meta object literal for the '`EEF Control Description`' class.

See Also:
  `EEFControlDescriptionImpl`, `EefPackageImpl.getEEFControlDescription()`

#### EEF_CONTROL_DESCRIPTION__IDENTIFIER

    static final org.eclipse.emf.ecore.EAttribute EEF_CONTROL_DESCRIPTION__IDENTIFIER

The meta object literal for the 'Identifier' attribute feature.

#### EEF_CONTAINER_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_CONTAINER_DESCRIPTION

The meta object literal for the '`EEF Container Description`' class.

See Also:
  `EEFContainerDescriptionImpl`, `EefPackageImpl.getEEFContainerDescription()`

#### EEF_CONTAINER_DESCRIPTION__CONTROLS

    static final org.eclipse.emf.ecore.EReference EEF_CONTAINER_DESCRIPTION__CONTROLS

The meta object literal for the 'Controls' containment reference list feature.

#### EEF_CONTAINER_DESCRIPTION__LAYOUT

    static final org.eclipse.emf.ecore.EReference EEF_CONTAINER_DESCRIPTION__LAYOUT

The meta object literal for the 'Layout' containment reference feature.

#### EEF_LAYOUT_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_LAYOUT_DESCRIPTION

The meta object literal for the '`EEF Layout Description`' class.

See Also:
  `EEFLayoutDescriptionImpl`, `EefPackageImpl.getEEFLayoutDescription()`

#### EEF_FILL_LAYOUT_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_FILL_LAYOUT_DESCRIPTION

The meta object literal for the '`EEF Fill Layout Description`' class.

See Also:
  `EEFFillLayoutDescriptionImpl`, `EefPackageImpl.getEEFFillLayoutDescription()`

#### EEF_FILL_LAYOUT_DESCRIPTION__ORIENTATION

    static final org.eclipse.emf.ecore.EAttribute EEF_FILL_LAYOUT_DESCRIPTION__ORIENTATION

The meta object literal for the 'Orientation' attribute feature.

#### EEF_GRID_LAYOUT_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_GRID_LAYOUT_DESCRIPTION

The meta object literal for the '`EEF Grid Layout Description`' class.

See Also:
  `EEFGridLayoutDescriptionImpl`, `EefPackageImpl.getEEFGridLayoutDescription()`

#### EEF_GRID_LAYOUT_DESCRIPTION__NUMBER_OF_COLUMNS

    static final org.eclipse.emf.ecore.EAttribute EEF_GRID_LAYOUT_DESCRIPTION__NUMBER_OF_COLUMNS

The meta object literal for the 'Number Of Columns' attribute feature.

#### EEF_GRID_LAYOUT_DESCRIPTION__MAKE_COLUMNS_WITH_EQUAL_WIDTH

    static final org.eclipse.emf.ecore.EAttribute EEF_GRID_LAYOUT_DESCRIPTION__MAKE_COLUMNS_WITH_EQUAL_WIDTH

The meta object literal for the 'Make Columns With Equal Width' attribute feature.

#### EEF_WIDGET_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_WIDGET_DESCRIPTION

The meta object literal for the '`EEF Widget Description`' class.

See Also:
  `EEFWidgetDescriptionImpl`, `EefPackageImpl.getEEFWidgetDescription()`

#### EEF_WIDGET_DESCRIPTION__LABEL_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_WIDGET_DESCRIPTION__LABEL_EXPRESSION

The meta object literal for the 'Label Expression' attribute feature.

#### EEF_WIDGET_DESCRIPTION__HELP_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_WIDGET_DESCRIPTION__HELP_EXPRESSION

The meta object literal for the 'Help Expression' attribute feature.

#### EEF_WIDGET_DESCRIPTION__IS_ENABLED_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_WIDGET_DESCRIPTION__IS_ENABLED_EXPRESSION

The meta object literal for the 'Is Enabled Expression' attribute feature.

#### EEF_WIDGET_DESCRIPTION__PROPERTY_VALIDATION_RULES

    static final org.eclipse.emf.ecore.EReference EEF_WIDGET_DESCRIPTION__PROPERTY_VALIDATION_RULES

The meta object literal for the 'Property Validation Rules' reference list feature.

#### EEF_TEXT_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_TEXT_DESCRIPTION

The meta object literal for the '`EEF Text Description`' class.

See Also:
  `EEFTextDescriptionImpl`, `EefPackageImpl.getEEFTextDescription()`

#### EEF_TEXT_DESCRIPTION__VALUE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_TEXT_DESCRIPTION__VALUE_EXPRESSION

The meta object literal for the 'Value Expression' attribute feature.

#### EEF_TEXT_DESCRIPTION__EDIT_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_TEXT_DESCRIPTION__EDIT_EXPRESSION

The meta object literal for the 'Edit Expression' attribute feature.

#### EEF_TEXT_DESCRIPTION__LINE_COUNT

    static final org.eclipse.emf.ecore.EAttribute EEF_TEXT_DESCRIPTION__LINE_COUNT

The meta object literal for the 'Line Count' attribute feature.

#### EEF_TEXT_DESCRIPTION__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_TEXT_DESCRIPTION__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_TEXT_DESCRIPTION__CONDITIONAL_STYLES

    static final org.eclipse.emf.ecore.EReference EEF_TEXT_DESCRIPTION__CONDITIONAL_STYLES

The meta object literal for the 'Conditional Styles' containment reference list feature.

#### EEF_LABEL_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_LABEL_DESCRIPTION

The meta object literal for the '`EEF Label Description`' class.

See Also:
  `EEFLabelDescriptionImpl`, `EefPackageImpl.getEEFLabelDescription()`

#### EEF_LABEL_DESCRIPTION__VALUE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_LABEL_DESCRIPTION__VALUE_EXPRESSION

The meta object literal for the 'Value Expression' attribute feature.

#### EEF_LABEL_DESCRIPTION__DISPLAY_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_LABEL_DESCRIPTION__DISPLAY_EXPRESSION

The meta object literal for the 'Display Expression' attribute feature.

#### EEF_LABEL_DESCRIPTION__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_LABEL_DESCRIPTION__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_LABEL_DESCRIPTION__CONDITIONAL_STYLES

    static final org.eclipse.emf.ecore.EReference EEF_LABEL_DESCRIPTION__CONDITIONAL_STYLES

The meta object literal for the 'Conditional Styles' containment reference list feature.

#### EEF_LABEL_DESCRIPTION__ACTIONS

    static final org.eclipse.emf.ecore.EReference EEF_LABEL_DESCRIPTION__ACTIONS

The meta object literal for the 'Actions' containment reference list feature.

#### EEF_BUTTON_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_BUTTON_DESCRIPTION

The meta object literal for the '`EEF Button Description`' class.

See Also:
  `EEFButtonDescriptionImpl`, `EefPackageImpl.getEEFButtonDescription()`

#### EEF_BUTTON_DESCRIPTION__BUTTON_LABEL_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_BUTTON_DESCRIPTION__BUTTON_LABEL_EXPRESSION

The meta object literal for the 'Button Label Expression' attribute feature.

#### EEF_BUTTON_DESCRIPTION__IMAGE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_BUTTON_DESCRIPTION__IMAGE_EXPRESSION

The meta object literal for the 'Image Expression' attribute feature.

#### EEF_BUTTON_DESCRIPTION__PUSH_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_BUTTON_DESCRIPTION__PUSH_EXPRESSION

The meta object literal for the 'Push Expression' attribute feature.

#### EEF_BUTTON_DESCRIPTION__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_BUTTON_DESCRIPTION__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_BUTTON_DESCRIPTION__CONDITIONAL_STYLES

    static final org.eclipse.emf.ecore.EReference EEF_BUTTON_DESCRIPTION__CONDITIONAL_STYLES

The meta object literal for the 'Conditional Styles' containment reference list feature.

#### EEF_CHECKBOX_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_CHECKBOX_DESCRIPTION

The meta object literal for the '`EEF Checkbox Description`' class.

See Also:
  `EEFCheckboxDescriptionImpl`, `EefPackageImpl.getEEFCheckboxDescription()`

#### EEF_CHECKBOX_DESCRIPTION__VALUE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_CHECKBOX_DESCRIPTION__VALUE_EXPRESSION

The meta object literal for the 'Value Expression' attribute feature.

#### EEF_CHECKBOX_DESCRIPTION__EDIT_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_CHECKBOX_DESCRIPTION__EDIT_EXPRESSION

The meta object literal for the 'Edit Expression' attribute feature.

#### EEF_CHECKBOX_DESCRIPTION__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_CHECKBOX_DESCRIPTION__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_CHECKBOX_DESCRIPTION__CONDITIONAL_STYLES

    static final org.eclipse.emf.ecore.EReference EEF_CHECKBOX_DESCRIPTION__CONDITIONAL_STYLES

The meta object literal for the 'Conditional Styles' containment reference list feature.

#### EEF_SELECT_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_SELECT_DESCRIPTION

The meta object literal for the '`EEF Select Description`' class.

See Also:
  `EEFSelectDescriptionImpl`, `EefPackageImpl.getEEFSelectDescription()`

#### EEF_SELECT_DESCRIPTION__VALUE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_SELECT_DESCRIPTION__VALUE_EXPRESSION

The meta object literal for the 'Value Expression' attribute feature.

#### EEF_SELECT_DESCRIPTION__EDIT_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_SELECT_DESCRIPTION__EDIT_EXPRESSION

The meta object literal for the 'Edit Expression' attribute feature.

#### EEF_SELECT_DESCRIPTION__CANDIDATES_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_SELECT_DESCRIPTION__CANDIDATES_EXPRESSION

The meta object literal for the 'Candidates Expression' attribute feature.

#### EEF_SELECT_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_SELECT_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION

The meta object literal for the 'Candidate Display Expression' attribute feature.

#### EEF_SELECT_DESCRIPTION__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_SELECT_DESCRIPTION__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_SELECT_DESCRIPTION__CONDITIONAL_STYLES

    static final org.eclipse.emf.ecore.EReference EEF_SELECT_DESCRIPTION__CONDITIONAL_STYLES

The meta object literal for the 'Conditional Styles' containment reference list feature.

#### EEF_RADIO_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_RADIO_DESCRIPTION

The meta object literal for the '`EEF Radio Description`' class.

See Also:
  `EEFRadioDescriptionImpl`, `EefPackageImpl.getEEFRadioDescription()`

#### EEF_RADIO_DESCRIPTION__VALUE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_RADIO_DESCRIPTION__VALUE_EXPRESSION

The meta object literal for the 'Value Expression' attribute feature.

#### EEF_RADIO_DESCRIPTION__EDIT_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_RADIO_DESCRIPTION__EDIT_EXPRESSION

The meta object literal for the 'Edit Expression' attribute feature.

#### EEF_RADIO_DESCRIPTION__CANDIDATES_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_RADIO_DESCRIPTION__CANDIDATES_EXPRESSION

The meta object literal for the 'Candidates Expression' attribute feature.

#### EEF_RADIO_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_RADIO_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION

The meta object literal for the 'Candidate Display Expression' attribute feature.

#### EEF_RADIO_DESCRIPTION__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_RADIO_DESCRIPTION__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_RADIO_DESCRIPTION__NUMBER_OF_COLUMNS

    static final org.eclipse.emf.ecore.EAttribute EEF_RADIO_DESCRIPTION__NUMBER_OF_COLUMNS

The meta object literal for the 'Number Of Columns' attribute feature.

#### EEF_RADIO_DESCRIPTION__CONDITIONAL_STYLES

    static final org.eclipse.emf.ecore.EReference EEF_RADIO_DESCRIPTION__CONDITIONAL_STYLES

The meta object literal for the 'Conditional Styles' containment reference list feature.

#### EEF_HYPERLINK_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_HYPERLINK_DESCRIPTION

The meta object literal for the '`EEF Hyperlink Description`' class.

See Also:
  `EEFHyperlinkDescriptionImpl`, `EefPackageImpl.getEEFHyperlinkDescription()`

#### EEF_HYPERLINK_DESCRIPTION__VALUE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_HYPERLINK_DESCRIPTION__VALUE_EXPRESSION

The meta object literal for the 'Value Expression' attribute feature.

#### EEF_HYPERLINK_DESCRIPTION__DISPLAY_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_HYPERLINK_DESCRIPTION__DISPLAY_EXPRESSION

The meta object literal for the 'Display Expression' attribute feature.

#### EEF_HYPERLINK_DESCRIPTION__ON_CLICK_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_HYPERLINK_DESCRIPTION__ON_CLICK_EXPRESSION

The meta object literal for the 'On Click Expression' attribute feature.

#### EEF_HYPERLINK_DESCRIPTION__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_HYPERLINK_DESCRIPTION__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_HYPERLINK_DESCRIPTION__CONDITIONAL_STYLES

    static final org.eclipse.emf.ecore.EReference EEF_HYPERLINK_DESCRIPTION__CONDITIONAL_STYLES

The meta object literal for the 'Conditional Styles' containment reference list feature.

#### EEF_HYPERLINK_DESCRIPTION__ACTIONS

    static final org.eclipse.emf.ecore.EReference EEF_HYPERLINK_DESCRIPTION__ACTIONS

The meta object literal for the 'Actions' containment reference list feature.

#### EEF_DYNAMIC_MAPPING_FOR

    static final org.eclipse.emf.ecore.EClass EEF_DYNAMIC_MAPPING_FOR

The meta object literal for the '`EEF Dynamic Mapping For`' class.

See Also:
  `EEFDynamicMappingForImpl`, `EefPackageImpl.getEEFDynamicMappingFor()`

#### EEF_DYNAMIC_MAPPING_FOR__ITERATOR

    static final org.eclipse.emf.ecore.EAttribute EEF_DYNAMIC_MAPPING_FOR__ITERATOR

The meta object literal for the 'Iterator' attribute feature.

#### EEF_DYNAMIC_MAPPING_FOR__ITERABLE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_DYNAMIC_MAPPING_FOR__ITERABLE_EXPRESSION

The meta object literal for the 'Iterable Expression' attribute feature.

#### EEF_DYNAMIC_MAPPING_FOR__FORCE_REFRESH

    static final org.eclipse.emf.ecore.EAttribute EEF_DYNAMIC_MAPPING_FOR__FORCE_REFRESH

The meta object literal for the 'Force Refresh' attribute feature.

#### EEF_DYNAMIC_MAPPING_FOR__IFS

    static final org.eclipse.emf.ecore.EReference EEF_DYNAMIC_MAPPING_FOR__IFS

The meta object literal for the 'Ifs' containment reference list feature.

#### EEF_DYNAMIC_MAPPING_IF

    static final org.eclipse.emf.ecore.EClass EEF_DYNAMIC_MAPPING_IF

The meta object literal for the '`EEF Dynamic Mapping If`' class.

See Also:
  `EEFDynamicMappingIfImpl`, `EefPackageImpl.getEEFDynamicMappingIf()`

#### EEF_DYNAMIC_MAPPING_IF__PREDICATE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_DYNAMIC_MAPPING_IF__PREDICATE_EXPRESSION

The meta object literal for the 'Predicate Expression' attribute feature.

#### EEF_DYNAMIC_MAPPING_IF__WIDGET

    static final org.eclipse.emf.ecore.EReference EEF_DYNAMIC_MAPPING_IF__WIDGET

The meta object literal for the 'Widget' containment reference feature.

#### EEF_CUSTOM_WIDGET_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_CUSTOM_WIDGET_DESCRIPTION

The meta object literal for the '`EEF Custom Widget Description`' class.

See Also:
  `EEFCustomWidgetDescriptionImpl`, `EefPackageImpl.getEEFCustomWidgetDescription()`

#### EEF_CUSTOM_WIDGET_DESCRIPTION__CUSTOM_EXPRESSIONS

    static final org.eclipse.emf.ecore.EReference EEF_CUSTOM_WIDGET_DESCRIPTION__CUSTOM_EXPRESSIONS

The meta object literal for the 'Custom Expressions' containment reference list feature.

#### EEF_CUSTOM_WIDGET_DESCRIPTION__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_CUSTOM_WIDGET_DESCRIPTION__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_CUSTOM_WIDGET_DESCRIPTION__CONDITIONAL_STYLES

    static final org.eclipse.emf.ecore.EReference EEF_CUSTOM_WIDGET_DESCRIPTION__CONDITIONAL_STYLES

The meta object literal for the 'Conditional Styles' containment reference list feature.

#### EEF_CUSTOM_EXPRESSION

    static final org.eclipse.emf.ecore.EClass EEF_CUSTOM_EXPRESSION

The meta object literal for the '`EEF Custom Expression`' class.

See Also:
  `EEFCustomExpressionImpl`, `EefPackageImpl.getEEFCustomExpression()`

#### EEF_CUSTOM_EXPRESSION__IDENTIFIER

    static final org.eclipse.emf.ecore.EAttribute EEF_CUSTOM_EXPRESSION__IDENTIFIER

The meta object literal for the 'Identifier' attribute feature.

#### EEF_CUSTOM_EXPRESSION__CUSTOM_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_CUSTOM_EXPRESSION__CUSTOM_EXPRESSION

The meta object literal for the 'Custom Expression' attribute feature.

#### EEF_LIST_DESCRIPTION

    static final org.eclipse.emf.ecore.EClass EEF_LIST_DESCRIPTION

The meta object literal for the '`EEF List Description`' class.

See Also:
  `EEFListDescriptionImpl`, `EefPackageImpl.getEEFListDescription()`

#### EEF_LIST_DESCRIPTION__VALUE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_LIST_DESCRIPTION__VALUE_EXPRESSION

The meta object literal for the 'Value Expression' attribute feature.

#### EEF_LIST_DESCRIPTION__DISPLAY_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_LIST_DESCRIPTION__DISPLAY_EXPRESSION

The meta object literal for the 'Display Expression' attribute feature.

#### EEF_LIST_DESCRIPTION__ON_CLICK_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_LIST_DESCRIPTION__ON_CLICK_EXPRESSION

The meta object literal for the 'On Click Expression' attribute feature.

#### EEF_LIST_DESCRIPTION__ACTIONS

    static final org.eclipse.emf.ecore.EReference EEF_LIST_DESCRIPTION__ACTIONS

The meta object literal for the 'Actions' containment reference list feature.

#### EEF_LIST_DESCRIPTION__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_LIST_DESCRIPTION__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_LIST_DESCRIPTION__CONDITIONAL_STYLES

    static final org.eclipse.emf.ecore.EReference EEF_LIST_DESCRIPTION__CONDITIONAL_STYLES

The meta object literal for the 'Conditional Styles' containment reference list feature.

#### EEF_WIDGET_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_WIDGET_STYLE

The meta object literal for the '`EEF Widget Style`' class.

See Also:
  `EEFWidgetStyleImpl`, `EefPackageImpl.getEEFWidgetStyle()`

#### EEF_WIDGET_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_WIDGET_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

The meta object literal for the 'Label Background Color Expression' attribute feature.

#### EEF_WIDGET_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_WIDGET_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

The meta object literal for the 'Label Foreground Color Expression' attribute feature.

#### EEF_WIDGET_STYLE__LABEL_FONT_NAME_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_WIDGET_STYLE__LABEL_FONT_NAME_EXPRESSION

The meta object literal for the 'Label Font Name Expression' attribute feature.

#### EEF_WIDGET_STYLE__LABEL_FONT_SIZE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_WIDGET_STYLE__LABEL_FONT_SIZE_EXPRESSION

The meta object literal for the 'Label Font Size Expression' attribute feature.

#### EEF_WIDGET_STYLE__LABEL_FONT_STYLE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_WIDGET_STYLE__LABEL_FONT_STYLE_EXPRESSION

The meta object literal for the 'Label Font Style Expression' attribute feature.

#### EEF_TEXT_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_TEXT_STYLE

The meta object literal for the '`EEF Text Style`' class.

See Also:
  `EEFTextStyleImpl`, `EefPackageImpl.getEEFTextStyle()`

#### EEF_TEXT_STYLE__BACKGROUND_COLOR_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_TEXT_STYLE__BACKGROUND_COLOR_EXPRESSION

The meta object literal for the 'Background Color Expression' attribute feature.

#### EEF_TEXT_STYLE__FOREGROUND_COLOR_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_TEXT_STYLE__FOREGROUND_COLOR_EXPRESSION

The meta object literal for the 'Foreground Color Expression' attribute feature.

#### EEF_TEXT_STYLE__FONT_NAME_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_TEXT_STYLE__FONT_NAME_EXPRESSION

The meta object literal for the 'Font Name Expression' attribute feature.

#### EEF_TEXT_STYLE__FONT_SIZE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_TEXT_STYLE__FONT_SIZE_EXPRESSION

The meta object literal for the 'Font Size Expression' attribute feature.

#### EEF_TEXT_STYLE__FONT_STYLE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_TEXT_STYLE__FONT_STYLE_EXPRESSION

The meta object literal for the 'Font Style Expression' attribute feature.

#### EEF_LABEL_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_LABEL_STYLE

The meta object literal for the '`EEF Label Style`' class.

See Also:
  `EEFLabelStyleImpl`, `EefPackageImpl.getEEFLabelStyle()`

#### EEF_LABEL_STYLE__BACKGROUND_COLOR_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_LABEL_STYLE__BACKGROUND_COLOR_EXPRESSION

The meta object literal for the 'Background Color Expression' attribute feature.

#### EEF_LABEL_STYLE__FOREGROUND_COLOR_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_LABEL_STYLE__FOREGROUND_COLOR_EXPRESSION

The meta object literal for the 'Foreground Color Expression' attribute feature.

#### EEF_LABEL_STYLE__FONT_NAME_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_LABEL_STYLE__FONT_NAME_EXPRESSION

The meta object literal for the 'Font Name Expression' attribute feature.

#### EEF_LABEL_STYLE__FONT_SIZE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_LABEL_STYLE__FONT_SIZE_EXPRESSION

The meta object literal for the 'Font Size Expression' attribute feature.

#### EEF_LABEL_STYLE__FONT_STYLE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_LABEL_STYLE__FONT_STYLE_EXPRESSION

The meta object literal for the 'Font Style Expression' attribute feature.

#### EEF_BUTTON_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_BUTTON_STYLE

The meta object literal for the '`EEF Button Style`' class.

See Also:
  `EEFButtonStyleImpl`, `EefPackageImpl.getEEFButtonStyle()`

#### EEF_CHECKBOX_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_CHECKBOX_STYLE

The meta object literal for the '`EEF Checkbox Style` ' class.

See Also:
  `EEFCheckboxStyleImpl`, `EefPackageImpl.getEEFCheckboxStyle()`

#### EEF_SELECT_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_SELECT_STYLE

The meta object literal for the '`EEF Select Style`' class.

See Also:
  `EEFSelectStyleImpl`, `EefPackageImpl.getEEFSelectStyle()`

#### EEF_RADIO_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_RADIO_STYLE

The meta object literal for the '`EEF Radio Style`' class.

See Also:
  `EEFRadioStyleImpl`, `EefPackageImpl.getEEFRadioStyle()`

#### EEF_HYPERLINK_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_HYPERLINK_STYLE

The meta object literal for the '`EEF Hyperlink Style`' class.

See Also:
  `EEFHyperlinkStyleImpl`, `EefPackageImpl.getEEFHyperlinkStyle()`

#### EEF_HYPERLINK_STYLE__BACKGROUND_COLOR_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_HYPERLINK_STYLE__BACKGROUND_COLOR_EXPRESSION

The meta object literal for the 'Background Color Expression' attribute feature.

#### EEF_HYPERLINK_STYLE__FONT_NAME_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_HYPERLINK_STYLE__FONT_NAME_EXPRESSION

The meta object literal for the 'Font Name Expression' attribute feature.

#### EEF_HYPERLINK_STYLE__FONT_SIZE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_HYPERLINK_STYLE__FONT_SIZE_EXPRESSION

The meta object literal for the 'Font Size Expression' attribute feature.

#### EEF_HYPERLINK_STYLE__FONT_STYLE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_HYPERLINK_STYLE__FONT_STYLE_EXPRESSION

The meta object literal for the 'Font Style Expression' attribute feature.

#### EEF_CUSTOM_WIDGET_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_CUSTOM_WIDGET_STYLE

The meta object literal for the '`EEF Custom Widget Style`' class.

See Also:
  `EEFCustomWidgetStyleImpl`, `EefPackageImpl.getEEFCustomWidgetStyle()`

#### EEF_LIST_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_LIST_STYLE

The meta object literal for the '`EEF List Style`' class.

See Also:
  `EEFListStyleImpl`, `EefPackageImpl.getEEFListStyle()`

#### EEF_GROUP_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_GROUP_STYLE

The meta object literal for the '`EEF Group Style`' class.

See Also:
  `EEFGroupStyleImpl`, `EefPackageImpl.getEEFGroupStyle()`

#### EEF_GROUP_STYLE__BACKGROUND_COLOR_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_GROUP_STYLE__BACKGROUND_COLOR_EXPRESSION

The meta object literal for the 'Background Color Expression' attribute feature.

#### EEF_GROUP_STYLE__FOREGROUND_COLOR_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_GROUP_STYLE__FOREGROUND_COLOR_EXPRESSION

The meta object literal for the 'Foreground Color Expression' attribute feature.

#### EEF_GROUP_STYLE__FONT_NAME_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_GROUP_STYLE__FONT_NAME_EXPRESSION

The meta object literal for the 'Font Name Expression' attribute feature.

#### EEF_GROUP_STYLE__FONT_SIZE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_GROUP_STYLE__FONT_SIZE_EXPRESSION

The meta object literal for the 'Font Size Expression' attribute feature.

#### EEF_GROUP_STYLE__BAR_STYLE

    static final org.eclipse.emf.ecore.EAttribute EEF_GROUP_STYLE__BAR_STYLE

The meta object literal for the 'Bar Style' attribute feature.

#### EEF_GROUP_STYLE__TOGGLE_STYLE

    static final org.eclipse.emf.ecore.EAttribute EEF_GROUP_STYLE__TOGGLE_STYLE

The meta object literal for the 'Toggle Style' attribute feature.

#### EEF_GROUP_STYLE__EXPANDED_BY_DEFAULT

    static final org.eclipse.emf.ecore.EAttribute EEF_GROUP_STYLE__EXPANDED_BY_DEFAULT

The meta object literal for the 'Expanded By Default' attribute feature.

#### EEF_CONDITIONAL_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_CONDITIONAL_STYLE

The meta object literal for the '`EEF Conditional Style`' class.

See Also:
  `EEFConditionalStyleImpl`, `EefPackageImpl.getEEFConditionalStyle()`

#### EEF_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

The meta object literal for the 'Precondition Expression' attribute feature.

#### EEF_TEXT_CONDITIONAL_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_TEXT_CONDITIONAL_STYLE

The meta object literal for the '`EEF Text Conditional Style`' class.

See Also:
  `EEFTextConditionalStyleImpl`, `EefPackageImpl.getEEFTextConditionalStyle()`

#### EEF_TEXT_CONDITIONAL_STYLE__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_TEXT_CONDITIONAL_STYLE__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_BUTTON_CONDITIONAL_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_BUTTON_CONDITIONAL_STYLE

The meta object literal for the '`EEF Button Conditional Style`' class.

See Also:
  `EEFButtonConditionalStyleImpl`, `EefPackageImpl.getEEFButtonConditionalStyle()`

#### EEF_BUTTON_CONDITIONAL_STYLE__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_BUTTON_CONDITIONAL_STYLE__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_LABEL_CONDITIONAL_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_LABEL_CONDITIONAL_STYLE

The meta object literal for the '`EEF Label Conditional Style`' class.

See Also:
  `EEFLabelConditionalStyleImpl`, `EefPackageImpl.getEEFLabelConditionalStyle()`

#### EEF_LABEL_CONDITIONAL_STYLE__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_LABEL_CONDITIONAL_STYLE__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_CHECKBOX_CONDITIONAL_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_CHECKBOX_CONDITIONAL_STYLE

The meta object literal for the '`EEF Checkbox Conditional Style`' class.

See Also:
  `EEFCheckboxConditionalStyleImpl`, `EefPackageImpl.getEEFCheckboxConditionalStyle()`

#### EEF_CHECKBOX_CONDITIONAL_STYLE__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_CHECKBOX_CONDITIONAL_STYLE__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_SELECT_CONDITIONAL_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_SELECT_CONDITIONAL_STYLE

The meta object literal for the '`EEF Select Conditional Style`' class.

See Also:
  `EEFSelectConditionalStyleImpl`, `EefPackageImpl.getEEFSelectConditionalStyle()`

#### EEF_SELECT_CONDITIONAL_STYLE__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_SELECT_CONDITIONAL_STYLE__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_RADIO_CONDITIONAL_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_RADIO_CONDITIONAL_STYLE

The meta object literal for the '`EEF Radio Conditional Style`' class.

See Also:
  `EEFRadioConditionalStyleImpl`, `EefPackageImpl.getEEFRadioConditionalStyle()`

#### EEF_RADIO_CONDITIONAL_STYLE__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_RADIO_CONDITIONAL_STYLE__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_HYPERLINK_CONDITIONAL_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_HYPERLINK_CONDITIONAL_STYLE

The meta object literal for the '`EEF Hyperlink Conditional Style`' class.

See Also:
  `EEFHyperlinkConditionalStyleImpl`, `EefPackageImpl.getEEFHyperlinkConditionalStyle()`

#### EEF_HYPERLINK_CONDITIONAL_STYLE__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_HYPERLINK_CONDITIONAL_STYLE__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE

The meta object literal for the '`EEF Custom Widget Conditional Style`' class.

See Also:
  `EEFCustomWidgetConditionalStyleImpl`, `EefPackageImpl.getEEFCustomWidgetConditionalStyle()`

#### EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_WIDGET_ACTION

    static final org.eclipse.emf.ecore.EClass EEF_WIDGET_ACTION

The meta object literal for the '`EEF Widget Action`' class.

See Also:
  `EEFWidgetActionImpl`, `EefPackageImpl.getEEFWidgetAction()`

#### EEF_WIDGET_ACTION__LABEL_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_WIDGET_ACTION__LABEL_EXPRESSION

The meta object literal for the 'Label Expression' attribute feature.

#### EEF_WIDGET_ACTION__IMAGE_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_WIDGET_ACTION__IMAGE_EXPRESSION

The meta object literal for the 'Image Expression' attribute feature.

#### EEF_WIDGET_ACTION__ACTION_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute EEF_WIDGET_ACTION__ACTION_EXPRESSION

The meta object literal for the 'Action Expression' attribute feature.

#### EEF_LIST_CONDITIONAL_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_LIST_CONDITIONAL_STYLE

The meta object literal for the '`EEF List Conditional Style`' class.

See Also:
  `EEFListConditionalStyleImpl`, `EefPackageImpl.getEEFListConditionalStyle()`

#### EEF_LIST_CONDITIONAL_STYLE__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_LIST_CONDITIONAL_STYLE__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_GROUP_CONDITIONAL_STYLE

    static final org.eclipse.emf.ecore.EClass EEF_GROUP_CONDITIONAL_STYLE

The meta object literal for the '`EEF Group Conditional Style`' class.

See Also:
  `EEFGroupConditionalStyleImpl`, `EefPackageImpl.getEEFGroupConditionalStyle()`

#### EEF_GROUP_CONDITIONAL_STYLE__STYLE

    static final org.eclipse.emf.ecore.EReference EEF_GROUP_CONDITIONAL_STYLE__STYLE

The meta object literal for the 'Style' containment reference feature.

#### EEF_VALIDATION_SEVERITY_DESCRIPTION

    static final org.eclipse.emf.ecore.EEnum EEF_VALIDATION_SEVERITY_DESCRIPTION

The meta object literal for the '`EEF VALIDATION SEVERITY DESCRIPTION`' enum.

See Also:
  `EEF_VALIDATION_SEVERITY_DESCRIPTION`, `EefPackageImpl.getEEF_VALIDATION_SEVERITY_DESCRIPTION()`

#### EEF_FILL_LAYOUT_ORIENTATION

    static final org.eclipse.emf.ecore.EEnum EEF_FILL_LAYOUT_ORIENTATION

The meta object literal for the '`EEF FILL LAYOUT ORIENTATION`' enum.

See Also:
  `EEF_FILL_LAYOUT_ORIENTATION`, `EefPackageImpl.getEEF_FILL_LAYOUT_ORIENTATION()`

#### EEF_TOGGLE_STYLE

    static final org.eclipse.emf.ecore.EEnum EEF_TOGGLE_STYLE

The meta object literal for the '`EEF TOGGLE STYLE`' enum.

See Also:
  `EEF_TOGGLE_STYLE`, `EefPackageImpl.getEEF_TOGGLE_STYLE()`

#### EEF_TITLE_BAR_STYLE

    static final org.eclipse.emf.ecore.EEnum EEF_TITLE_BAR_STYLE

The meta object literal for the '`EEF TITLE BAR STYLE`' enum.

See Also:
  `EEF_TITLE_BAR_STYLE`, `EefPackageImpl.getEEF_TITLE_BAR_STYLE()`